#include "save.hpp"
#include <fstream>
#include "dbc.hpp"
#include <fmt/core.h>
#include "config.hpp"
#include <filesystem>

using namespace components;
using namespace fmt;

void save::load_configs(DinkyECS::World &world) {
  Config game("./assets/config.json");
  Config enemies("./assets/enemies.json");
  Config items("./assets/items.json");
  Config tiles("./assets/tiles.json");
  Config devices("./assets/devices.json");
  Config bosses("./assets/bosses.json");
  Config rituals("./assets/rituals.json");

  world.set_the<GameConfig>({
    game, enemies, items, tiles, devices, bosses, rituals
  });
}
